Qt 5.6 | Qt 3D | C++ Classes | QPlaneGeometry

Qt 5.6.3 Reference Documentation

# QPlaneGeometry Class

(Qt3DRender::QPlaneGeometry)

Header: | #include <QPlaneGeometry>
qmake: | QT += 3drender
Instantiated By: | PlaneGeometry
Inherits: | QGeometry

- List of all members, including inherited members

## Properties

- height : float
- indexAttribute : Qt3DRender::QAttribute * const
- normalAttribute : Qt3DRender::QAttribute * const
- positionAttribute : Qt3DRender::QAttribute * const

- resolution : QSize
- tangentAttribute : Qt3DRender::QAttribute * const
- texCoordAttribute : Qt3DRender::QAttribute * const
- width : float

- 2 properties inherited from Qt3DRender::QGeometry
- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QPlaneGeometry(QNode *parent = Q_NULLPTR)
| ~QPlaneGeometry()
float | height() const
QAttribute * | indexAttribute() const
QAttribute * | normalAttribute() const
QAttribute * | positionAttribute() const
QSize | resolution() const
QAttribute * | tangentAttribute() const
QAttribute * | texCoordAttribute() const
void | updateIndices()
void | updateVertices()
float | width() const

- 5 public functions inherited from Qt3DRender::QGeometry
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setHeight(float height)
void | setResolution(const QSize &resolution)
void | setWidth(float width)

- 1 public slot inherited from Qt3DRender::QGeometry
- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | heightChanged(float height)
void | resolutionChanged(const QSize &resolution)
void | widthChanged(float width)

- 1 signal inherited from Qt3DRender::QGeometry
- 2 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 protected function inherited from Qt3DRender::QGeometry
- 3 protected functions inherited from Qt3DCore::QNode
- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

## Property Documentation

### height : float

Holds the plane height.

Access functions:

float | height() const
void | setHeight(float height)

Notifier signal:

void | heightChanged(float height)

### indexAttribute : Qt3DRender::QAttribute * const

Holds the geometry index attribute.

Access functions:

QAttribute * | indexAttribute() const

### normalAttribute : Qt3DRender::QAttribute * const

Holds the geometry normal attribute.

Access functions:

QAttribute * | normalAttribute() const

### positionAttribute : Qt3DRender::QAttribute * const

Holds the geometry position attribute.

Access functions:

QAttribute * | positionAttribute() const

### resolution : QSize

Holds the plane resolution.

Access functions:

QSize | resolution() const
void | setResolution(const QSize &resolution)

Notifier signal:

void | resolutionChanged(const QSize &resolution)

### tangentAttribute : Qt3DRender::QAttribute * const

Holds the geometry tangent attribute.

Access functions:

QAttribute * | tangentAttribute() const

### texCoordAttribute : Qt3DRender::QAttribute * const

Holds the geometry texture coordinate attribute.

Access functions:

QAttribute * | texCoordAttribute() const

### width : float

Holds the plane width.

Access functions:

float | width() const
void | setWidth(float width)

Notifier signal:

void | widthChanged(float width)

## Member Function Documentation

### QPlaneGeometry::QPlaneGeometry(QNode *parent = Q_NULLPTR)

Constructs a new QPlaneGeometry with parent.

### QPlaneGeometry::~QPlaneGeometry()

Destroys this geometry.

### void QPlaneGeometry::updateIndices()

Updates indices based on resolution.

### void QPlaneGeometry::updateVertices()

Updates vertices based on resolution.